:root {
  --logo-schrift: norman-stencil, sans-serif;
  --logo-font-size: 3rem;
  --logo-font-weight: 800;
  --nav_color_bg: transparent;
  --nav_color_bg_fixed: #ffffff;
  --nav_color_shadow: rgba(0, 0, 0, 0.08);
  --nav_color_bg_offcanvas: #444444;
  --nav_color_text_offcanvas_hover: #ff9090;
  --nav_color_toggle: #b40000;
  --nav_color_text: #ffffff;
  --nav_color_text_active: #31cd1c;
  --nav_color_text_hover: #31cd1c;
  --nav_color_text_fixed: #40412f;
  --nav_color_text_fixed_hover: #b6b629;
  --nav_color_text_dropdown: #444444;
}

/* ==========================================================================
Main Navigation
========================================================================== */
.navigation {
  position: fixed;
  width: 100%;
  z-index: 999;
  background-color: var(--nav_color_bg);
  color: var(--nav_color_text);
  top: 0;
  left: 0;
  line-height: 1.0;
  transition: all 300ms ease-in-out;
}

.navigation.scrolled {
  box-shadow: 0 5px 15px var(--nav_color_shadow);
}

.header-content {
  height: 100%;
  display: flex;
  justify-content: space-between;
  border-bottom: none;
  transition: height 300ms ease-in-out;
}

/* ==========================================================================
Logo
========================================================================== */
.uk-navbar-left,
.uk-navbar-right,
[class*=uk-navbar-center] {
  display: flex;
  gap: 15px;
  align-items: center;
}

header .logo {
  display: flex;
  opacity: 0;
  margin: 0;
  padding: 0.5rem;
  position: relative;
  transform: scale(1);
  transition: transform 0.5s ease, opacity 1s ease;
  text-decoration: none;
}

header .logo_text {
  /* align-self: start;
  height: 100%;
  display: flex; */
  padding: 0;
}

header .logo_text h1 {
  opacity: 0;
  font-weight: 300;
  font-family: var(--logo-schrift);
  font-size: 2.2rem;
  color: #fff;
  margin: 0.4em;
  transition: color .5s, margin 1s, font-size 1s ease, opacity 1s ease;
  text-decoration: none;
}

header .logo a,
header .logo a h1 {
  text-decoration: none;
}

header .logo a {
  display: flex;
}

/* ==========================================================================
Primary Navigation
========================================================================== */
.uk-navbar-nav>li>a {
  text-transform: none;
}

.uk-navbar-item,
.uk-navbar-nav>li>a,
.uk-navbar-toggle {
  min-height: 50px;
}

header ul.primary-nav {
  margin: 0px;
  display: flex;
  justify-content: flex-end;
}

header ul.primary-nav li {
  display: flex;
}

header ul.primary-nav li a {
  outline: 0;
  /* padding: 0.3em; */
  font-size: 1.4em;
  color: #ffffff;
  font-weight: 400;
  transition: color .5s, font-size .5s;
}

header ul.primary-nav li:last-child a {
  padding-right: 0px;
}

header ul.primary-nav li a:hover,
.uk-navbar-nav>li:hover>a,
.uk-navbar-nav>li>a.uk-open,
.uk-navbar-nav>li>a:focus {
  color: var(--nav_color_text_hover);
}

header ul.primary-nav li a.active {
  color: var(--nav_color_text_active);
}

header ul.primary-nav .uk-navbar-dropdown-nav li a {
  font-size: 1.0em;
  color: var(--nav_color_text);
  font-weight: 300;
}

header ul.primary-nav .uk-navbar-dropdown-nav li a:hover {
  color: var(--nav_color_text_hover);
}

header ul.primary-nav li .uk-navbar-dropdown-nav a {
  color: var(--nav_color_text_dropdown);
}


/* ==========================================================================
Logo Display Animations
========================================================================== */
.loading .navigation header .logo,
.navigation.fixed header .logo {
  align-items: center;
  opacity: 1;
}

.navigation.navigation_mobile_sichtbar header .logo {
  opacity: 1;
}

.loading .navigation .logo h1 {
  opacity: 1;
  color: #c71313;
  font-size: 2.2rem;
  margin: 0.4em;
}

.navigation.fixed .logo h1 {
  font-size: 1.4em;
  margin: 0;
  opacity: 1;
  align-self: center;
}

.navigation.navigation_mobile_sichtbar .logo h1 {
  opacity: 1;
}

.navigation .logo h1 {
  font-family: var(--font_titel);
  font-size: 1.4em;
  margin: 0;
  opacity: 0;
}

.loading ul.primary-nav li a {
  color: #c71313;
}

/* ==========================================================================
Fixed Navigation State
========================================================================== */
.navigation.fixed,
.loading .navigation {
  background-color: var(--nav_color_bg_fixed);
}

.navigation.fixed header ul.primary-nav li a:hover,
.navigation.fixed .uk-navbar-nav>li:hover>a,
.navigation.fixed .uk-navbar-nav>li>a.uk-open,
.navigation.fixed .uk-navbar-nav>li>a:focus {
  color: var(--nav_color_text_fixed_hover);
}

.navigation.fixed header li a,
.navigation.fixed header h1,
.navigation.fixed header h2 {
  color: var(--nav_color_text_fixed);
}

.navigation.fixed .logo h2 {
  font-size: 1.0rem;
}

/* .loading .navigation .logo h1,
.navigation.fixed .logo h1 {
  font-size: 1.6rem;
} */

.loading .navigation .logo h2,
.navigation.fixed .logo h2 {
  font-size: 1.1rem;
}

.navigation.fixed .logo img,
.loading .navigation .logo img {
  width: 65px;
  height: 65px;
}

.navigation.fixed .header-content,
.loading .navigation .header-content {
  height: 80px;
}

.fixed_nav .seiteninhalt {
  padding-top: 80px;
}

/* ==========================================================================
mobile_bg_sichtbar / bg_sichtbar Navigation
========================================================================== */
@media screen and (max-width:990px) {
  .navigation.mobile_bg_sichtbar.navigation_mobile_sichtbar {
    background-color: var(--nav_color_bg_fixed);
  }
}

@media screen and (min-width:990px) {
  .navigation.bg_sichtbar {
    background-color: var(--nav_color_bg_fixed);
  }
}

@media screen and (max-width:990px) {

  .navigation.mobile_bg_sichtbar header li a,
  .navigation.mobile_bg_sichtbar header h1,
  .navigation.mobile_bg_sichtbar header h2 {
    color: var(--nav_color_text_fixed);
  }
}

@media screen and (min-width:990px) {

  .navigation.bg_sichtbar header li a,
  .navigation.bg_sichtbar header h1,
  .navigation.bg_sichtbar header h2 {
    color: var(--nav_color_text_fixed);
  }
}


/* ==========================================================================
Hamburger Menu Toggle
========================================================================== */
.navicon {
  display: none;
  justify-content: flex-end;
  align-items: center;
  height: 100%;
  visibility: hidden;
  transition: all 300ms ease-in-out;
}

.nav-toggle {
  z-index: 1500;
  padding: 10px 35px 16px 0;
  cursor: pointer;
}

.nav-toggle:focus {
  outline: none;
}

.nav-toggle span,
.nav-toggle span:before,
.nav-toggle span:after {
  content: "";
  position: absolute;
  display: block;
  width: 35px;
  height: 3px;
  border-radius: 1px;
  background: var(--nav_color_toggle);
  cursor: pointer;
  transition: all 300ms ease-in-out;
}

.nav-toggle span:before {
  top: -10px;
}

.nav-toggle span:after {
  bottom: -10px;
}

.olox_nav .nav-toggle span {
  background-color: transparent;
}

.olox_nav .nav-toggle span:before,
.olox_nav .nav-toggle span:after {
  background: #f8f8f8;
  top: 0;
}

.olox_nav .nav-toggle span:before {
  transform: rotate(45deg);
}

.olox_nav .nav-toggle span:after {
  top: 10px;
  transform: translatey(-10px) rotate(-45deg);
}



/* ==========================================================================
Offcanvas Mobile Menu
========================================================================== */
@media screen and (max-width:991px) {
  nav ul.primary-nav {
    display: none;
  }

  .navigation.fixed .navicon {
    visibility: visible;
    display: flex;
  }

  .navigation.navigation_mobile_sichtbar .navicon {
    visibility: visible;
    display: flex;
  }

  .uk-offcanvas-bar {
    position: absolute;
    top: 0;
    bottom: 0;
    left: -100%;
    box-sizing: border-box;
    width: 100%;
    padding: 20px 20px;
    background: var(--nav_color_bg_offcanvas);
    overflow-y: auto;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .uk-offcanvas-bar .uk-navbar-nav {
    gap: 0px;
  }

  #nav_olox .off_nav {
    flex-direction: column;
  }

  #nav_olox ul.off_nav li {
    opacity: 0;
    /* margin-bottom: 25px; */
  }

  .olox_nav #nav_olox ul.off_nav li a {
    color: #fff;
    font-size: 25px;
    font-weight: 600;
    transition: all 300ms ease-in-out;
    text-align: center;
  }

  .olox_nav #nav_olox ul.off_nav li a:hover {
    color: var(--nav_color_text_offcanvas_hover);
  }
}


/* ==========================================================================
Responsive Header Heights
========================================================================== */
.navigation .header-content {
  height: 60px;
}

.seiteninhalt {
  padding-top: 60px;
}

@media screen and (min-width:350px) and (min-height:550px) {

  .navigation .header-content,
  .navigation.navigation_mobile_sichtbar .header-content {
    height: 70px;
  }

  .seiteninhalt {
    padding-top: 70px;
  }

  .loading .navigation .header-content,
  .navigation.fixed .header-content,
  .navigation.fixed .navigation_mobile_sichtbar .header-content {
    height: 80px;
  }

  .fixed_nav .seiteninhalt {
    padding-top: 80px;
  }
}

@media screen and (min-width:550px) and (min-height:550px) {

  .navigation .header-content,
  .navigation.navigation_mobile_sichtbar .header-content {
    height: 70px;
  }

  .seiteninhalt {
    padding-top: 70px;
  }

  .loading .navigation .header-content,
  .navigation.fixed .header-content,
  .navigation.fixed.navigation_mobile_sichtbar .header-content {
    height: 90px;
  }

  .fixed_nav .seiteninhalt {
    padding-top: 90px;
  }

  .loading .navigation.logo h1,
  .navigation.fixed .logo h1 {
    font-size: 1.6rem;
  }

  .navigation.fixed .logo h2 {
    font-size: 1.1rem;
  }


  .logo h1 {
    font-size: 3.2rem;
  }

  .logo h2 {
    font-size: 1.9rem;
  }

  h1.logo {
    font-size: 3rem;
  }
}

@media screen and (min-width:990px) {

  .loading .navigation .logo h1,
  .navigation.fixed .logo h1 {
    font-size: 2.0rem;
  }

  .loading .navigation .logo h2,
  .navigation.fixed .logo h2 {
    font-size: 1.4rem;
  }
}

@media screen and (min-width:990px) and (max-width:1120px) {
  header ul.primary-nav li a {
    font-size: 1.1em;
  }
}


/* ==========================================================================
Fade In Animation
========================================================================== */
.fadeInUpOlox {
  visibility: visible;
  animation-name: fadeInUpOlox;
  animation-duration: 1s;
  animation-timing-function: ease-out;
}

@keyframes fadeInUpOlox {
  from {
    opacity: 0;
    transform: translate3d(0, 50px, 0);
  }

  to {
    opacity: 1;
    transform: none;
  }
}